PessimisticLockException
Date: 2016-06-24

javax.persistence

## Class PessimisticLockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.PessimisticLockException

- All Implemented Interfaces:
    java.io.Serializable

      public class PessimisticLockException
      extends PersistenceException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PessimisticLockException()`
    `PessimisticLockException(java.lang.Object entity)`
    `PessimisticLockException(java.lang.String message)`
    `PessimisticLockException(java.lang.String message, java.lang.Throwable cause)`
    `PessimisticLockException(java.lang.String message, java.lang.Throwable cause, java.lang.Object entity)`
    `PessimisticLockException(java.lang.Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getEntity()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PessimisticLockException

          public PessimisticLockException()

    - #### PessimisticLockException

          public PessimisticLockException(java.lang.String message)

    - #### PessimisticLockException

          public PessimisticLockException(java.lang.String message,
                                  java.lang.Throwable cause)

    - #### PessimisticLockException

          public PessimisticLockException(java.lang.Throwable cause)

    - #### PessimisticLockException

          public PessimisticLockException(java.lang.Object entity)

    - #### PessimisticLockException

          public PessimisticLockException(java.lang.String message,
                                  java.lang.Throwable cause,
                                  java.lang.Object entity)

  - ### Method Detail

    - #### getEntity

          public java.lang.Object getEntity()